// Autogenerated by gen_tests.py
use mwapi_responses::prelude::*;

mod test_client;

#[query(action = "query", list = "linterrors")]
struct Response0;

#[tokio::test]
async fn query_linterrors_default() {
    let params = Response0::params();

    let resp: Response0 = test_client::test(params).await.unwrap();
    assert_eq!(resp.items().len(), 10);
    assert!(!resp.continue_.is_empty());
}
